package com.jiayue.insu.incloud.pulldata;

import com.jiayue.insu.incloud.entity.Station;

/**
 * 拉取预测原始数据接口
 *
 * @author yh
 * @version 1.0
 * @since 2022/5/22 11:29
 */
public interface IPullInitForecastData {

    /**
     * 推送短期预测原始数据
     * @return 是否成功
     */
    Boolean pullDQAndNWPData(Station station);

    /**
     * 推送短期预测原始数据
     * @return 是否成功
     */
    Boolean pullDQData(Station station);
    /**
     * 推送NWP预测原始数据
     * @return 是否成功
     */
    Boolean pullNWPData(Station station);

    /**
     * 拉取实际功率数据
     * @return 是否成功
     */
    Boolean pullRPData(Station station);
}
